//
//  pqFader.h
//  plasqKit
//
//  Created by Robert Grant on Fri Oct 31 2003.
//  Copyright (c) 2006 plasq. All rights reserved.
//

#import <AppKit/AppKit.h>


@interface pqFader : NSControl {

    id m_target;
    SEL m_action;
    NSBezierPath* m_ticks;
    NSImage* m_knobImage;
    NSImage* m_bgImage;
    NSColor* m_tickColor;
    double m_min;
    double m_max;
    double m_value;
    NSRange m_range;
    NSRect m_sliderRange;
}

- (void)setMinValue:(double)minValue;
- (double)minValue;

- (void)setMaxValue:(double)maxValue;
- (double)maxValue;

- (void)setDoubleValue:(double)value;
- (double)doubleValue;

- (void)setTickColor:(NSColor*)color;
- (NSColor*)tickColor;

@end

@interface NSObject (pqFaderActionNotification)

    - (void)beginAction:(pqFader*)fader;
    - (void)endAction:(pqFader*)fader;

@end
